## quickflickr 1.0.2

=== Makefile ===
#############################################################################
# Makefile for building: quickflickr
# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon Sep 13 00:10:45 2010
# Project:  quickflickr.pro
# Template: subdirs
# Command: /opt/qt4-maemo5/bin/qmake -o Makefile quickflickr.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /opt/qt4-maemo5/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marko/sb_work/quickflickr/src/src.pro -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marko/sb_work/quickflickr/src/src.pro -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: quickflickr.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile quickflickr.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile quickflickr.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

sub-src-check: src/$(MAKEFILE)
	cd src/ && $(MAKE) check
check: sub-src-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: ../quickflickr
# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon Sep 13 00:10:47 2010
# Project:  src.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_DECLARATIVE_LIB -DQT_WEBKIT_LIB -DQT_DBUS_LIB -DQT_XML_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtOpenGL -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtXml -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtWebKit -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtDeclarative -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I. -I/usr/X11R6/include -Imoc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtDeclarative -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtScript -lQtSvg -lQtSql -lQtXmlPatterns -lQtWebKit -lQtOpenGL -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lGLESv2 -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = main.cpp \
		qmlloader.cpp \
		flickrmanager.cpp \
		qtflickr.cpp \
		qtflickr_p.cpp moc/moc_qmlloader.cpp \
		moc/moc_flickrmanager.cpp \
		moc/moc_qtflickr.cpp \
		moc/moc_qtflickr_p.cpp \
		qrc_quickflickr.cpp
OBJECTS       = objs/main.o \
		objs/qmlloader.o \
		objs/flickrmanager.o \
		objs/qtflickr.o \
		objs/qtflickr_p.o \
		objs/moc_qmlloader.o \
		objs/moc_flickrmanager.o \
		objs/moc_qtflickr.o \
		objs/moc_qtflickr_p.o \
		objs/qrc_quickflickr.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		quickflickr.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/opengl.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = quickflickr
DESTDIR       = ../
TARGET        = ../quickflickr

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		quickflickr.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/opengl.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtDeclarative.prl \
		/opt/qt4-maemo5/lib/libQtScript.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtSvg.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtSql.prl \
		/opt/qt4-maemo5/lib/libQtXmlPatterns.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl \
		/opt/qt4-maemo5/lib/libQtOpenGL.prl \
		/opt/qt4-maemo5/lib/libQtWebKit.prl
	$(QMAKE) -o Makefile src.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
quickflickr.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/opengl.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtDeclarative.prl:
/opt/qt4-maemo5/lib/libQtScript.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtSvg.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtSql.prl:
/opt/qt4-maemo5/lib/libQtXmlPatterns.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
/opt/qt4-maemo5/lib/libQtOpenGL.prl:
/opt/qt4-maemo5/lib/libQtWebKit.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/quickflickr1.0.0 || $(MKDIR) objs/quickflickr1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) objs/quickflickr1.0.0/ && $(COPY_FILE) --parents qmlloader.h flickrmanager.h qtflickr.h qtflickr_p.h objs/quickflickr1.0.0/ && $(COPY_FILE) --parents quickflickr.qrc objs/quickflickr1.0.0/ && $(COPY_FILE) --parents main.cpp qmlloader.cpp flickrmanager.cpp qtflickr.cpp qtflickr_p.cpp objs/quickflickr1.0.0/ && (cd `dirname objs/quickflickr1.0.0` && $(TAR) quickflickr1.0.0.tar quickflickr1.0.0 && $(COMPRESS) quickflickr1.0.0.tar) && $(MOVE) `dirname objs/quickflickr1.0.0`/quickflickr1.0.0.tar.gz . && $(DEL_FILE) -r objs/quickflickr1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc/moc_qmlloader.cpp moc/moc_flickrmanager.cpp moc/moc_qtflickr.cpp moc/moc_qtflickr_p.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc/moc_qmlloader.cpp moc/moc_flickrmanager.cpp moc/moc_qtflickr.cpp moc/moc_qtflickr_p.cpp
moc/moc_qmlloader.cpp: qmlloader.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qmlloader.h -o moc/moc_qmlloader.cpp

moc/moc_flickrmanager.cpp: qtflickr.h \
		flickrmanager.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) flickrmanager.h -o moc/moc_flickrmanager.cpp

moc/moc_qtflickr.cpp: qtflickr.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qtflickr.h -o moc/moc_qtflickr.cpp

moc/moc_qtflickr_p.cpp: qtflickr.h \
		qtflickr_p.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) qtflickr_p.h -o moc/moc_qtflickr_p.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all: qrc_quickflickr.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_quickflickr.cpp
qrc_quickflickr.cpp: quickflickr.qrc \
		qflickr/FullScreenViewer.qml \
		qflickr/MainMenu.qml \
		qflickr/RecentActivityDelegate.qml \
		qflickr/FullScreenModel.qml \
		qflickr/ContactListDelegate.qml \
		qflickr/MenuButton.qml \
		qflickr/UrlInput.qml \
		qflickr/FavoriteDelegate.qml \
		qflickr/ContactListModel.qml \
		qflickr/QuickFlickrMain.qml \
		qflickr/Loading.qml \
		qflickr/CommentDelegate.qml \
		qflickr/BrowserButton.qml \
		qflickr/CommentModel.qml \
		qflickr/FullScreenDelegate.qml \
		qflickr/FlickableWebView.qml \
		qflickr/Button.qml \

## quickflickr 0.1

=== debian/changelog ===
quickflickr (0.1) unstable; urgency=low

  * Initial release 

 -- Marko Mattila <marko.a.mattila@gmail.com>  Fri, 3 Aug 2010 00:33:22 +0300

=== debian/control ===
Source: quickflickr
Section: user/graphics
Priority: optional
Maintainer: Marko Mattila <marko.a.mattila@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-experimental-declarative-dev, libqt4-experimental-dev, libqt4-experimental-maemo5, libqt4-experimental-gui
Standards-Version: 3.7.2

Package: quickflickr
Architecture: armel
Depends: libqt4-experimental-declarative
Description: QtQuick based Flickr client for N900. 
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAABLmlDQ1BJQ0Mg
 UHJvZmlsZQAAeAFjYGAycHRxcmUSYGDIzSspCnJ3UoiIjFJgP8/AxsDMAAaJ
 ycUFjgEBPiBOXn5eKkQUTjIyMHy7xgAkGRgu64LMgssQx+BKLigqASr9A8RG
 KanFyQwMjAZAdnZ5SQFQnHEOkC2SlA1mbwCxi0KCnIHiR4BsvnQI+wqInQRh
 PwGxi4CeAKr5AlKfDmYzcYDYSRC2DIhdkloBspfBOb+gsigzPaNEwdDS0lLB
 MSU/KVUhuLK4JDW3WMEzLzm/qCC/KLEkNQWoFuI+kC4GQYhCUIhpADVaaIJF
 qUiA4gFi3OdAcPgyip1BiCEsSi4tKoPyGJmMGRgI8RFmzJFgYPBfysDA8gch
 ZtLLwLBAh4GBfypCTM2QgUFAn4Fh3xwAwrNP/oQTPe8AAAAJcEhZcwAALiMA
 AC4jAXilP3YAAA9hSURBVGgFPZkNtuI8DgVDfoDvzAbnzD5m79NAkqkqJw3N
 I9iydCVdyU768d///PuceD18z/O0bdu0/36MHNP8WKbn8zl9v5/pPI/pcSLz
 eCiO9DS1kO9lfkzLsiKzM79M5+G3Y0u6vJ75HPtYkQb+nLxnbM7LPD1++7So
 +zynBe2unbE5K4ONPkyv4Dt3sTh+TitziKOASQcOjAf6A2ic+P6+0+v1nD5/
 vgi66MH4GUCVMJQzoGaMWcaIBED4zXsB4HEwJtD5aO2wqb3HBJzpSQBO5nV0
 A8eDtStj4lIG13OKIZxE18b4ob0HcvOCPoDwZiQAZsDIGA3l9x+erut0mBkd
 Zcw5M5SA4WFiQdeJYqMNBj470SVGJ+t0aEWQSAtuY4XLNq4Xdb7QRWQ3IZPp
 hazME+vRO9zQnosYYe73QRwM6AI0g6dgmQ8h10+ivmNM6hzHb3q/39MPRw+M
 BBBhIzBe13eAcSIZdRol5NZBqyc/VpxYTAjXC5GQLo5LGdTjDPMGlMgtD2jJ
 e8chs0gccw6m4pokh1Kuir8YzQkNMrF/92l7Wg/f6cCh7/c76gM30PYXvE6Y
 pV4XsIOACNAIHTjxvvi8onnlWkqsRhkZsyEH4j2ORtCT2LP2D+MCl4GC9XXy
 w4CbG7O6Sh2psVAcx07xIWTaRHXsv4rmRz08VITc9npNv//9byhDTDqBpcg4
 qLMzWk8K9g2gGR3v5WnmpwUdRjpHssMY49Ze9qDgh8D5+oka53acOdBvcA8N
 8bISDczJBDWQzxgk4vAVwuSuowrNdge5jT7/KDdvJM568EUU1SGGvGfN8wGT
 F7/JBLWzkPOnWXgwVsQNEVlkiSH7FE2uMW2jOs2es1wrpS8/J8XEnII6o0mQ
 yEUUIuVbJ37ShPH5EpJKZsf0yette8ZHC/amzwNgFiUKpw2ZF8BtgyuFvuoU
 Dhht+W2X+hBoIQXOwGDPnnBQ0R9jiG2zGV387Uo95iNtDeouQxpD4UMyYcgi
 3Va4TyoNrMCk0gLonTrQYlTSCfaHEXpAc2WTeaHLb9vjBuKN3zL7QSdacEqK
 FFXGpAlhCTya0z2cgx4WsAGSYEYJxwzyoDey/J6h1+rGYHQtuogaTfDXcKE6
 l/k6bX/KQp3DVomzSxy3LQIWUytrVmTt5S/0zfIdOfeHL4H5wVkaNAwAtGPA
 lyqRg3WyxE0tsPw2eAZYmvLT9PUSqx+z5fYJJaCN6VCiFaZOaZaZRq8AYjs3
 O3YkW+u/nq+ytCCjE654ojRnwFFG4YUd5SclbMs49SUIdhHBC1pnsoUhcBXl
 04gzGbUcR4Ldrnl/iM8GUhs1ouvMpSmrlSlMlN2EGEu5ClBnYW/1ctaQuRdH
 DXcVO4tR30wtcrvRtoaw8qUyDyPOPmFL+XEtv+kGBIaciE6CF3GAO2CzbxMc
 deAxxQ3NbqQ7NVycoC3TedyAxAdHx+Yj7zDO+Mq83y1ESEq8AT3OLjiBg+9/
 3hNnDagjEvxB/Y7BDiOHutg5sRtdDBLB6twEEHd8l42V46/Uq3eaGbIgXayJ
 Zgd+gusvKStIgSPYEIssqzqTEcSgCnUAqYp1Yc3rtU4rVHjSGt9GjPr4/Gxv
 OICTR9SB9/w2uHb3k/Z64JgbWEcVIRggMolXlxMeGcxC/YosEHecFLctD3N/
 X9ZLXUirC3VgB3rIPaQ7eRIAgfv5x4LFGQu0ImXNk03twU59UhPn9mL9hxZ4
 BNZG7BEg4KzvzMW3RwUUtj/YGGYDZunp5fXSFcHtZutKj04ZcSnpy3kbjW27
 l+DtKkbDHqv8nYlNwyizt69EX6rYKt324Nj0h7UTLfVYabXHH5wgc7x/ANHc
 Dc36YlnZ7iCYdfhMtjwydCxBtz66OXo0d7FzM2tHPQ5tyqqDowjSovUlneI8
 yvDOBkeJtgkJ9okjL6jygAZPlv3cNulKbnwGYKcgd5z/oceNyLeAiyLf0dYx
 KKmO+wyWLblxwWhltXGDvZwDm2G9o6JeKmMIaUiyyvkyYcQx5Ab1glNPK55r
 juJFrL7O7/3LGRX6ff4A3kxApXZloqalospVYRW82fWnEQekqIXgkaODGtf9
 7g/zBI1QqyG9yXPtcBS6DfhdGfGtE2+8tWj/gSuUnp6SCSQsULrIjk45+kPT
 F/D0VnZm+gw1sdKlPAAaEE3XmpGL2/4m6/fOfx8iBdOOy7x873xVO1UDc9iV
 9zrpa8hQA3UggFi4eqrjTz6B3+AsUX0+hzPGy53U40AbEnJ2nK9r6UB1K2rI
 jvbi/uH7+Q4HmDc8dRcMeAtqRmwOgrJS6kqCMLSuQi5H7+jb+QXHb+vLf+qj
 jXpsoECIsmvfoNwojheyG3MvDnKeJo3QB+8742NACh3xfdhTozLUbxnU+Grh
 IRcQjY9/UafM01ZRiBwbGnXT7g+IgOoAYO1aV9BHBrDjGUh72dATNzIz8RQE
 H3muAytKBC+QPzT0Hcd+/P4x/pU+RZ3KAKTpb0dHTwVNbXhvjVSRDr+cFxjm
 i7yDZv8qWGeA098cxIHZE4KZMvLIzm5ottIEyYB93x+zTiD8gvPuttwo1Gm0
 GXgu3P4PsvWlf5MTFrEUpe0hRlDThOt5HRDl7eqtKfvEDVp4LPtLJxZn35Nq
 zkSt0f87zGFmOTmaEyB39I4Zxl+nzPK4QwIEAxtCHoPfFKTf3pd6RwSri65n
 mK80gjqm3h21/Ueg0MBMCjSnoN7JTo0Kipprd1tmPbEaMJ2tI6GTBe38AVRB
 s0hw/bcOyH5PQcjE/Uq3Ta0WiVKp02MNLEgbD2FflMMQjr7UKb16zyDUIlNG
 oZ31MukeImE9R6m8YwLrN24px9lK5MxJGddwXbepQRNpd0dsNYZuQoyMxcs4
 /1rTX+YYcJ+y+7KcogW9BWwm7EIj0tIGvstkEH13FQHaDCBTN7mAyFOfInA7
 Vk30+2XkqY9o5r2EWWDdnYU4PmgB1OpCZqpcsEYh0MqZjjFaANSJpuHAQmRf
 CLnR64h3SnUZFu1Ey2C4697nJLktCNQSLZxCWbVkZXBE5pfBC3xP0gRuYDg7
 ufGNyLMeGbPhkwqz2QZIxH3VibBTpJHrLMUCKXsXuFRcfbDE4ZjCJXjwx8la
 oR0HKNjLCfUKXGRCZ4rdc4BwF2XW0V4+nhSwnLWoLWQ7U8cW6kuayYqhyeux
 Rxhx6XO/zzZCQGuzVj/0ixHVBYDSc4e1HQEIxR80u1kdAKYG477p8uAkp3t0
 qGmV1H7RkFEQ8Sr5aJ/ZBHVSx4oUADxKb7bWqATlOtu4xmvkxcDbIPlKl3Ne
 menqD4ebdpbgeOPtwyXnPQL/uFXEPJwnrSg12vI4PrJQQ6W7CIxrT5MaLTOs
 7sUSZQcVAEGoyCW6pBKtla4khApa4DdApMpISoYjXgp6UGxQOocI7PrP+0UR
 szlB0x2K2DZzhGjt8FkVHmU7g9QzAWYR64DB4u1tpoeNwU3cyDnAYXW0SgbI
 Sg8FKj4yDpW6iUIXaoR4AR/r7n7fuNTF2E2jESiQUa/ci3NTAYfr+Zy/zDpB
 mj6CEJjFKke1AgjU955ZLFBfRVmPklO972ymV8M66uqNBwE1Ae4d4Cw6+bDO
 VunKQLLYjNT3GT8oyjtDt2NDH0Ehthy6ONHLR9rezsnMpwb1X0C4+/pI0BNl
 VMGgFBoZQE2E1BNA8yX0wefLCX+bKupsQERfhewOjj2opI6yh+w43I2gPMSk
 fduuFtCTnPIN0EYPim3/Q7eh3fw4SjyIlhTx+Y9SVz2Nh0o2G+bMloFLh5FC
 qGixIMVMuCk9PHQBwE1sdR3j6lfxOMJQDxS1T8GLOAJqMAtDFh0a6a8GCUH2
 G+wP1PXwReF6WCMa7r5GaHuze3JdwV7yZQONHbDE4TzOGOHRpweAkmLafdpX
 1BhnMHrgkNcrZ6B0M2/77loK6oDfBMVEL1BVXh8EQ73pYT4WAGG1xx7Qw0L0
 Aap1avSlkOcbF1RsCKvA3uzLnr685KeREegAiEtC4COfxti9ixZd640Vyi3c
 Z2C4GvTbl3qGLgEbJcb4cq2gZcTdCdW/ts5zTTxHOU4EGlym1m7hxuSNNZ4U
 mYxJIxR6/lGeH6IaThsywWO8cw0IdOn6RyZcwxzy87XpzbRWKMC4wFkLVfiT
 zlotAVaj4ekeuk0Oe7lkEFHUjXZmRxTChRMHaVyolcffB64XmDsbGBp9WYwj
 ooFATKeMmq24zc+IotjnTsMhYDknMOrBbOe0v3VGP/h2b2KkQI1xw4MDYvc/
 2HyGvMLF3VYC6LFpDCUUSc9FZ47FRqyl9trhh4iIKqBwMi4zMW5YMIqY8xU5
 9KnjOKRNHef6zohd58H/K+h048pY0P7oDxMFDXdqBjiwA4Sbw84bK0/b/E8I
 kxUl+HadEdMhjwArhel/cFSg0MZupExdCZm7RbICR43gAOntojg8uHnRPJHt
 eY+/Aqrj7NjWVc4xriw6OkexXudka5gYLwNKebbmJhdhioS3HcZRjUYPZATk
 JqQj/c8L2Qi4CZYnyvJpY0TWH6OjDPoYBGzTUom0AJnv+wI7DoeMQ6l2U7Pq
 HB/+kEXXi4uPmAG7yoRsK5BBtniKlVFcBXRWLkd0LjkEQX6f8+M2RX75UJTi
 tRsQ4dK5wXmN8uF3h70rklHJTDEnneI8VNJqY9pMl7CAb8Ph0qzShRQq2fFU
 is20z5NHJyFxjsWoSBl/AlBUkCgbPrmwCbhWxcp4jYHBc3nms8yr+xhRDPkA
 7XaoTGBDblcndiHTpZM6bFb8LXSNeIURczkKDCFTwpdDdDTGbZ2+VFI6Maic
 7+RxTLCKkZGFp3LdJ7fIMRdacNxxIGcmqgltMi3obuadUw+/k+GbkWyoF0nm
 cSBwyCGbbn73dNqtXqE8tdj8za3hwWMTS2MU0HDG6+SQ6W4LkIq7xpv4k0yM
 yAqCOcEw31jXOnFFmYmcMDMEjV/NheayY4x7aUNslw7pq95r1kkbqbkxakSi
 0+Y4KqvcCCiDDV4aJiK81p6FckExSZfW81fAtVI56RrmLO5xliGiHu4Eztvi
 HdeK4jBzvikcQKLzCpI6mjGTPJM3pGq8IqxpQQiUa/9QSEtnEBawyDT7qrN4
 zceuZHfwTguSc33dOhohnKg2NIg+dbtXdCfGWgNy6yorOCRus9lmdcloOyec
 vHQxVRNZ3Xj0JAOX5ynAe8/hj3ls78MxFesIkUgRgPm9+PRMx1Dqf8cOOyMw
 ydMUPL+UIR3RMc9Zd0SvSOeQQRC4H+Zvh/oeQLPthLX3fxu4CvmyF95WAAAA
 AElFTkSuQmCC

## quickflickr 1.0.1

=== debian/changelog ===
quickflickr (1.0.1) unstable; urgency=low

  * Added missing images to qrc files
  * Fixed a bug in close button positioning.

 -- Marko Mattila <marko.a.mattila@gmail.com>  Tue, 7 Aug 2010 22:33:22 +0300

quickflickr (1.0.0) unstable; urgency=low

  * Initial release 

 -- Marko Mattila <marko.a.mattila@gmail.com>  Fri, 3 Aug 2010 00:33:22 +0300

## quickflickr 1.0.2

=== debian/changelog ===
quickflickr (1.0.2) unstable; urgency=low

  * Added loading indicators here and there.
  * ContactListDelegate uses smaller icons now.
  * Added minimize button to the main view
  * Removed next and back buttons from WebView
  * Fine tuned the user experience little bit... To better I hope 

 -- Marko Mattila <marko.a.mattila@gmail.com>  Sun, 12 Sep 2010 22:33:22 +0300

## quickflickr 1.1.0

=== debian/changelog ===
quickflickr (1.1.0) unstable; urgency=low

  * Added new graphics
  * User Interface improved / changed
  
 -- Marko Mattila <marko.a.mattila@gmail.com>  Sat, 02 Aug 2010 13:38:22 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 Package: quickflickr
 Architecture: armel
 Depends: libqt4-experimental-declarative
-Description: QtQuick based Flickr client for N900. 
+Description: Flickr client for N900
+ Simple Qt Quick based Flickr client for N900.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAABLmlDQ1BJQ0Mg
  UHJvZmlsZQAAeAFjYGAycHRxcmUSYGDIzSspCnJ3UoiIjFJgP8/AxsDMAAaJ

## quickflickr 1.1.1

=== debian/changelog ===
quickflickr (1.1.1) unstable; urgency=low

  * BugFix: Now it should be possible to add comments.
  
 -- Marko Mattila <marko.a.mattila@gmail.com>  Sat, 02 Aug 2010 23:11:22 +0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := quickflickr
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/opt ../$(APPNAME).pro
	#cd builddir && qmake quickflickr.pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## quickflickr 1.9.1

=== debian/changelog ===
quickflickr (1.9.1) unstable; urgency=low

  * New packackage for N900
  * New UI

 -- Marko Mattila <marko.mattila@d-pointer.com>  Mon, 14 Feb 2011 11:45:00 +0200

## quickflickr 1.9.2

=== debian/changelog ===
quickflickr (1.9.2) unstable; urgency=low

  * Fixed a bug in a contact view. Now layout works better
  * Added back the minimize menu for N900.

 -- Marko Mattila <marko.mattila@d-pointer.com>  Mon, 14 Feb 2011 21:45:00 +0200

## quickflickr 1.9.21

=== debian/changelog ===
quickflickr (1.9.21) unstable; urgency=low

  * Just a version update for a new package.
  
 -- Marko Mattila <marko.mattila@d-pointer.com>  Mon, 14 Aug 2010 22:41:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/graphics
 Priority: optional
 Maintainer: Marko Mattila <marko.a.mattila@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-experimental-declarative-dev, libqt4-experimental-dev, libqt4-experimental-maemo5, libqt4-experimental-gui
+Build-Depends: debhelper (>= 5), libqt4-declarative, libqt4-dev, libqt4-maemo5, libqt4-gui
 Standards-Version: 3.7.2
 
 Package: quickflickr
 Architecture: armel
-Depends: libqt4-experimental-declarative
+Depends: libqt4-declarative
 Description: Flickr client for N900
  Simple Qt Quick based Flickr client for N900.
 XB-Maemo-Icon-26:

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/opt ../$(APPNAME).pro
-	#cd builddir && qmake quickflickr.pro
+	#cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/opt ../$(APPNAME).pro
+	cd builddir && qmake PREFIX=/opt ../quickflickr.pro
 
 build: build-stamp
